__wake_up
Prev | Delaying, scheduling, and timer routines | Next

## Name

__wake_up — wake up threads blocked on a waitqueue.

## Synopsis

`void fastcall __wake_up (` | wait_queue_head_t * | q,
| unsigned int | mode,
| int | nr_exclusive,
| void * | key`)`;

## Arguments

`q`

  the waitqueue

`mode`

  which threads

`nr_exclusive`

  how many wake-one or wake-many threads to wake up

`key`

  is directly passed to the wakeup function

Prev | Up | Next
preempt_notifier_unregister | Home | __wake_up_sync